;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Some useful macros

(defmacro Xlaunch (&rest x) "Evaluate body only if XEmacs has been launched in X Window System. Added in ALT's distribution."
  (list 'if (eq (console-type) 'x)(cons 'progn x)))
(defmacro TTYlaunch (&rest x) "Evaluate body only if XEmacs has been launched on a tty. Added in ALT's distribution."
  (list 'if (eq (console-type) 'tty)(cons 'progn x)))
(defmacro MULElaunch (&rest x) "Evaluate body only if XEmacs has a MULE support. Added in ALT's distribution."
  (list 'if (featurep 'mule)(cons 'progn x)))

;; for compatibility with .emacs from skel package
;; TODO make own skel entries
(defmacro XEmacs (&rest x) "Evaluate body only if this is XEmacs 21 running. Added in ALT's distribution."
  (list 'if (string-match "XEmacs 21" (version)) (cons 'progn x)))

; End of the macros
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
