;;; ALT's configuration for XEmacs.
;;; Lightly modified from FSF Emacs one
;;; by Sergey Bolshakov <sbolshakov@altlinux.ru>
;;; Thanks to Ivan Zakharyaschev <imz@altlinux.ru>

; See http://www.xemacs.org/ for more information and configuration
; examples.

; Most (all!) of the distribution specific configuration
; that used to be here before
; now moved to site-start.d/0[01]*.el scripts.
;
; It has been split into small logical parts.
; This way it is easier for an administrator
; to customize each part and maintain them during package upgrades.
;
; Here are the places where you may put configuration options for
; XEmacs:
; system-wide: this file, any of the existing /etc/xemacs/site-start.d/*.el,
;   any new (created by you) /etc/xemacs/site-start.d/*.el, 
;   /etc/X11/app-defaults/Emacs (and localized versions of this), 
;   /etc/X11/Xresources*;
; personal: ~/.xemacs/init.el, ~/.Xdefaults.
;

;; Load package or local system startup files
(let* ((paths '("/etc/xemacs/site-start.d"))
         ;; Get a list of all the files in all the specified
         ;; directories that match the pattern.
       (files
	(apply 'append 
	       (mapcar 
		(lambda (dir) 
		  (directory-files dir t "^.*\\.el$" nil))
		paths))))
  (mapcar
   (lambda (file)
     (if debug-on-error
	 (load-file file)
       (condition-case ()
	   (load file nil)
	 (error (message "Error while loading %s" file)))))
   files)
  )
